<?php

require_once( dirname(__file__) . '/inputs-class.php' );

if ( ! class_exists( 'Dovi42_Meta_Box_Input_Checkbox') ) :

    class Dovi42_Meta_Box_Input_Checkbox extends Dovi42_Meta_Box_Inputs  {

        var $options = array();

        public function __construct($options)
        {
            parent::__construct($options);
        }

        function render($post_id) {
            
            parent::render($post_id);

            $checked = '';
            if ($this->value) {
                $checked = 'checked="checked"';
                $checked = 'checked';
            }

            $html = '<tr>' . "\r\n" . 
                    "\t" . '<td>' . "\r\n" . 
                    "\t\t" . '&nbsp;' . "\r\n" . 
                    "\t" . '</td>' . "\r\n" .
                    "\t" . '<td>' . "\r\n" . 
                    "\t\t" . '<label>' . "\r\n" . 
                    "\t\t\t" . '<input type="checkbox" name="'.$this->options['meta_key'].'_'.$this->options['id'].'" '.$checked.' data-type="checkbox" />' . "\r\n" .
                    "\t\t\t" . $this->options['label'] . "\r\n" . 
                    "\t\t" . '<label>' . "\r\n"; 
            if ((isset($this->options['description'])) and (!empty($this->options['description']))) {
                    $html .= "\t\t" . '<div class="description small">'.$this->options['description'].'</div>' . "\r\n";
            } 
            
            $html .= "\t" . '</td>' . "\r\n" .
                     '</tr>' . "\r\n"; 
            return $html;
        }

        function getValue() {
            return $this->value;
        }

        function check() {
            if (isset($_POST[$this->options['meta_key'] .'_'.$this->options['id']])) {
                $this->value = 1;
            } else {
                $this->value = 0;
            }
            return true;
        }

    }
endif;