<?php

require_once( dirname(__file__) . '/inputs-class.php' );

if ( ! class_exists( 'Dovi42_Meta_Box_Input_Radio') ) :

    class Dovi42_Meta_Box_Input_Radio extends Dovi42_Meta_Box_Inputs  {

        var $options = array(
                'values' => array()
            );

        public function __construct($options)
        {
            parent::__construct($options);
        }

        function render($post_id) {
            
            parent::render($post_id);

            if ($this->value == null) {
                if (!empty($this->options['values'])) {
                    $keys = array_keys($this->options['values']);
                    $this->value = $keys[0];
                }
            }

            $html = '<tr>' . "\r\n" . 
                    "\t" . '<td>' . "\r\n" . 
                    "\t\t" . '<label>'.$this->options['label'].'</label>' . "\r\n" . 
                    "\t" . '</td>' . "\r\n" .
                    "\t" . '<td>' . "\r\n";
            $id = 0;
            foreach ($this->options['values'] as $key => $value ) {
                $checked = '';
                if ($key == $this->value) { 
                    $checked = 'checked="checked"'; 
                }
                $html .= "\t\t" . '<div>' . "\r\n" .
                         "\t\t\t" . '<input type="radio" 
                                            name="'.$this->options['meta_key'].'_'.$this->options['id'].'" 
                                            id="'.$this->options['id'].'_'.$id.'" 
                                            value="'.$key.'"  
                                            ' . $checked . '
                                            data-type="radio" />' . "\r\n" . 
                         "\t\t\t" . '<label for="'.$this->options['id'].'_'.$id.'">'.$value.'</label>' . "\r\n" .
                         "\t\t" . '</div>' . "\r\n";                                          
                $id++;     
            }                     
            if ((isset($this->options['description'])) and (!empty($this->options['description']))) {
                    $html .= "\t\t" . '<div class="description small">'.$this->options['description'].'</div>' . "\r\n";
            } 
            
            $html .= "\t" . '</td>' . "\r\n" .
                     '</tr>' . "\r\n"; 
            return $html;
        }

    }
endif;