<?php  

    global $wpdb;

    $token = get_query_var('booking-cancel');
    $text  = '';
    
    if (!empty($token)) {

        $query = 'SELECT * FROM ' . $wpdb->prefix.'bookanappointment ' .
                 'WHERE ' .
                    '`token` = "'.$token.'"';
        $data = $wpdb->get_row($query, ARRAY_A);
        
        if (empty($data)) {
            $text = __('This reservation is not in our system.<br /><small>It is possible that it was confirmed too late, or the confirmation link is broken.</small>', 'book-an-appointment');
        } else {
            
            $info = unserialize($data['data']);
            
            $query = 'SELECT `date` FROM ' . $wpdb->prefix.'bookanappointment ' .
                     'WHERE ' .
                        '`token` = "'.$token.'"';
            $d = $wpdb->get_results($query, ARRAY_A);
            
            if (count($d) > 1) {
                $data['date'] = array();
                for ($i = 0; $i <= count($d)-1; $i++) {
                    $data['date'][]	= $d[$i]['date'];
                }
            } else {
                $info['date'] = $data['date'];
            }

            $info['date'] = $data['date'];
            $info['time'] = $data['time'];
            book_an_appointment_961_send_cancelled_info($data['place_id'], $info);
            
            book_an_appointment_961_remove_google_calendar($token);
            
            if (has_action('book_an_appointment_after_user_cancelled')) {
                do_action('book_an_appointment_after_user_cancelled', $token);                    
            }
            
            $wpdb->delete($wpdb->prefix.'bookanappointment',
                    array('token' => $token) 
                );
            
            $text = __('The reservation has been canceled.', 'book-an-appointment');
        }
        
    } else {
        $text = __('<strong>Error!</strong> Token not set.', 'book-an-appointment');
    }
?>
<div style="text-align: center; padding: 20px;">
    <div style="padding: 20px 40px;text-align:center;border:1px solid #ccc;display:inline-block;font-family: Arial, Helvetica, sans-serif;">
        <?php echo $text;?>
    </div>
</div>


