<?php

require_once( dirname(__file__) . '/inputs-class.php' );

if ( ! class_exists( 'Dovi42_Meta_Box_Input_Textarea') ) :

    class Dovi42_Meta_Box_Input_Textarea extends Dovi42_Meta_Box_Inputs  {

        var $options = array();

        public function __construct($options)
        {
            parent::__construct($options);
        }

        function render($post_id) {
            
            parent::render($post_id);

            $html = '<tr>' . "\r\n" . 
                    "\t" . '<td>' . "\r\n" . 
                    "\t\t" . '<label for="'.$this->options['id'].'">'.$this->options['label'].'</label>' . "\r\n" . 
                    "\t" . '</td>' . "\r\n" .
                    "\t" . '<td>' . "\r\n" . 
                    "\t\t" . '<textarea name="'.$this->options['meta_key'].'_'.$this->options['id'].'" data-type="textarea" />'.$this->value.'</textarea>' . "\r\n";
            if ((isset($this->options['description'])) and (!empty($this->options['description']))) {
                    $html .= "\t\t" . '<div class="description small">'.$this->options['description'].'</div>' . "\r\n";
            } 
            
            $html .= "\t" . '</td>' . "\r\n" .
                     '</tr>' . "\r\n"; 
            return $html;
        }

    }
endif;